# Joomla

Joomla CMS.

Make sure the projectName is set correctly, it's very important.

1. Clone me ```git clone git@git.nickyeoman.com:nick/joomla.git projectName```
1. cd projectName
1. Setup your .env file ```mv env.sample .env``` then edit with your favorite editor.
1. Prepare your project for git ```bash bin/new_project.sh```
1. Run the containers to initialize ```sudo bash bin/docker_up.sh```
1. Prepare the installer ```bash bin/setup_joomla_installer.sh```
1. Go to ```http://localhost:8000``` and follow the installation steps
1. Manually set Site Meta Description in [Administrator](http://localhost:8000/administrator)
1. Run ```sudo bash bin/finalize.sh```

## References

* [Develop a component](https://docs.joomla.org/J4.x:Developing_an_MVC_Component/Developing_a_Basic_Component)
* [Minimal component](https://joomla.stackexchange.com/questions/22176/minimal-basic-structure-for-a-frontend-joomla-component-without-using-joomla-mvc)
